#
# spec file for package golang
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global provider        bitbucket
%global provider_tld    org
%global project         taruti
%global repo            bigendian
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     %{provider_prefix}

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0.0.0+hg20130320.25.37f0ed9bf940
Release:        3.1
Summary:        Binary parsing/printing for Go
License:        MIT
Group:          Development/Languages/Golang
Url:            https://%{provider_prefix}
Source0:        %{repo}-%{version}.tar.xz
Source1:        rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  golang-packaging
BuildRequires:  xz

%{go_nostrip}
%{go_provides}

%description
Binary parsing and printing for the Go programming language.

%prep
%setup -q -n %{repo}-%{version}

%build
%goprep %{import_path}
%gobuild ...

%install
%goinstall
%gosrc
%gofilelist

%check
%gotest %{import_path}...

%files -f file.lst
%defattr(-,root,root,-)
%doc LICENSE

%changelog
* Wed Dec  7 2016 tboerger@suse.com
- Refactoring based on new packaging proposal
* Sat Jul 25 2015 i@marguerite.su
- rename to golang-bitbucket-taruti-bigendian
- use golang-packaging for packaging
* Tue Aug 13 2013 speilicke@suse.com
- Update to version 0.0.0+hg20130320.25.37f0ed9bf940:
  + Upstream provides no changelog
- Use _service file
* Tue Aug 13 2013 speilicke@suse.com
- Use %%{go_exclusivearch} macro
* Mon Dec  5 2011 saschpe@suse.de
- Update to 05/12/2011 mercurial version
* Sat Jul  2 2011 saschpe@gmx.de
- Initial version
